@tool
extends Node3D

func _ready() -> void:
	var tex := ImageTexture.new()
	var data := PackedByteArray()
	for i in range(1024*1024):
		data.append(0xff)
		data.append(10)
		data.append(20)
		data.append(30)

	var image := Image.create_from_data(1024, 1024, false,  Image.FORMAT_RGBA8, data)
	tex.set_image(image)

	$Sprite3D.texture = tex
